WebServiceBook/ViewModels/DeleteMessageViewModel.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace WebServiceBook.ViewModels
{
    public class DeleteMessageViewModel
    {
        public string Title { get; set; }
        public int VehicleId { get; set; }
    }
}

WebServiceBook/Controllers/DeleteController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using WebServiceBook.Models;
using WebServiceBook.ViewModels;

namespace WebServiceBook.Controllers
{
    public class DeleteController : Controller
    {
        // GET: Delete
        public ActionResult DeleteMessage(int id)
        {
            DeleteMessageViewModel viewModel = new DeleteMessageViewModel();
            DeleteBusinessLayer businessLayer = new DeleteBusinessLayer();

            viewModel = businessLayer.GetDeleteMessageValues(id);
            return View("DeleteMessage", viewModel);
        }

        public ActionResult DeleteVehicle(int id)
        {
            DeleteBusinessLayer businessLayer = new DeleteBusinessLayer();
            businessLayer.DeleteVehicle(id);
            return RedirectToAction("Index", "Main");
        }
    }
}

WebServiceBook/Views/Delete/DeleteMessage.cshtml
@using WebServiceBook.ViewModels

@model DeleteMessageViewModel
<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>Delete vehicle</title>
</head>
<body>
    <h3>@Model.Title</h3>
        <input type="button" value="Yes" onclick="location.href='@Url.Action("DeleteVehicle", "Delete", new { id = @Model.VehicleId }, null )'" />
        <input type="button" value="No" onclick="location.href='@Url.Action("Index", "Main" )'" />
</body>
</html>